from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDateField(XInterface, Protocol):
    def setDate(self, Date: Date) -> None: ...
    def getDate(self) -> Date: ...
    def setMin(self, Date: Date) -> None: ...
    def getMin(self) -> Date: ...
    def setMax(self, Date: Date) -> None: ...
    def getMax(self) -> Date: ...
    def setFirst(self, Date: Date) -> None: ...
    def getFirst(self) -> Date: ...
    def setLast(self, Date: Date) -> None: ...
    def getLast(self) -> Date: ...
    def setLongFormat(self, bLong: bool) -> None: ...
    def isLongFormat(self) -> bool: ...
    def setEmpty(self) -> None: ...
    def isEmpty(self) -> bool: ...
    def setStrictFormat(self, bStrict: bool) -> None: ...
    def isStrictFormat(self) -> bool: ...
